=== debian/changelog ===
ros-kinetic-robot-nav-viz-demos (0.3.0-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 11 Dec 2020 19:43:54 -0000
